# 2 Dimensional Ising Model: src/time.cpp File Reference

Loading...
Searching...
No Matches
time.cpp File Reference

Timing various things. More...

`#include "data_type.hpp"`
`#include "monte_carlo.hpp"`
`#include "utils.hpp"`
`#include <getopt.h>`
`#include <omp.h>`
`#include <ostream>`

Go to the source code of this file.

## Functions

void | time_lattice_sizes ()
| Time phase transition using different lattice sizes.
void | time_sample_sizes ()
| Time phase transition using different sample sizes.
void | usage (std::string filename)
| A function that displays how to use the program and quits.
int | main (int argc, char **argv)
| The main function.

## Detailed Description

Timing various things.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file time.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

Definition at line 79 of file time.cpp.

## time_lattice_sizes()

void time_lattice_sizes | ( |  | ) |

Time phase transition using different lattice sizes.

Definition at line 22 of file time.cpp.

## time_sample_sizes()

void time_sample_sizes | ( |  | ) |

Time phase transition using different sample sizes.

Definition at line 45 of file time.cpp.

## usage()

void usage | ( | std::string | filename | ) |

A function that displays how to use the program and quits.

Definition at line 67 of file time.cpp.